Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/referenceProcessor.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/memory/referenceProcessor.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/referenceProcessor.hpp
@@ -243,19 +243,19 @@ class ReferenceProcessor : public CHeapO
   // constructor
   ReferenceProcessor():
     _span((HeapWord*)NULL, (HeapWord*)NULL),
-    _discoveredSoftRefs(NULL),  _discoveredWeakRefs(NULL),
-    _discoveredFinalRefs(NULL), _discoveredPhantomRefs(NULL),
     _discovering_refs(false),
     _discovery_is_atomic(true),
-    _enqueuing_is_done(false),
     _discovery_is_mt(false),
     _discovered_list_needs_barrier(false),
     _bs(NULL),
+    _enqueuing_is_done(false),
+    _processing_is_mt(false),
+    _next_id(0),
     _is_alive_non_header(NULL),
     _num_q(0),
     _max_num_q(0),
-    _processing_is_mt(false),
-    _next_id(0)
+    _discoveredSoftRefs(NULL),  _discoveredWeakRefs(NULL),
+    _discoveredFinalRefs(NULL), _discoveredPhantomRefs(NULL)
   {}
 
   ReferenceProcessor(MemRegion span, bool atomic_discovery,
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/code/dependencies.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/code/dependencies.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/code/dependencies.hpp
@@ -419,15 +419,15 @@ class Dependencies: public ResourceObj {
 
   public:
     DepStream(Dependencies* deps)
-      : _deps(deps),
-        _code(NULL),
+      : _code(NULL),
+        _deps(deps),
         _bytes(deps->content_bytes())
     {
       initial_asserts(deps->size_in_bytes());
     }
     DepStream(nmethod* code)
-      : _deps(NULL),
-        _code(code),
+       :_code(code),
+        _deps(NULL),
         _bytes(code->dependencies_begin())
     {
       initial_asserts(code->dependencies_size());
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/gc_implementation/g1/g1OopClosures.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/gc_implementation/g1/g1OopClosures.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/gc_implementation/g1/g1OopClosures.hpp
@@ -152,7 +152,7 @@ class FilterIntoCSClosure: public OopClo
 public:
   FilterIntoCSClosure(  DirtyCardToOopClosure* dcto_cl,
                         G1CollectedHeap* g1, OopClosure* oc) :
-    _dcto_cl(dcto_cl), _g1(g1), _oc(oc)
+    _g1(g1), _oc(oc), _dcto_cl(dcto_cl)
   {}
   template <class T> void do_oop_nv(T* p);
   virtual void do_oop(oop* p)        { do_oop_nv(p); }
@@ -187,7 +187,7 @@ public:
   FilterAndMarkInHeapRegionAndIntoCSClosure(G1CollectedHeap* g1,
                                             OopsInHeapRegionClosure* oc,
                                             ConcurrentMark* cm)
-  : _g1(g1), _oc(oc), _cm(cm) { }
+  : _g1(g1), _cm(cm), _oc(oc) { }
 
   template <class T> void do_oop_nv(T* p);
   virtual void do_oop(oop* p) { do_oop_nv(p); }
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/oops/constantPoolOop.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/oops/constantPoolOop.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/oops/constantPoolOop.hpp
@@ -711,7 +711,7 @@ class SymbolHashMapEntry : public CHeapO
   void       set_value(u2 value)          { _value = value; }
 
   SymbolHashMapEntry(unsigned int hash, symbolOop symbol, u2 value)
-    : _hash(hash), _symbol(symbol), _value(value), _next(NULL) {}
+    : _hash(hash), _next(NULL), _symbol(symbol), _value(value)  {}
 
 }; // End SymbolHashMapEntry class
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/generation.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/memory/generation.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/generation.hpp
@@ -692,7 +692,8 @@ class OneContigSpaceCardGeneration: publ
                                int level, GenRemSet* remset,
                                ContiguousSpace* space) :
     CardGeneration(rs, initial_byte_size, level, remset),
-    _the_space(space), _min_heap_delta_bytes(min_heap_delta_bytes)
+    _min_heap_delta_bytes(min_heap_delta_bytes),
+    _the_space(space)
   {}
 
   inline bool is_in(const void* p) const;
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/watermark.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/memory/watermark.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/watermark.hpp
@@ -46,8 +46,8 @@ class WaterMark VALUE_OBJ_CLASS_SPEC {
   void set_point(HeapWord* p) { _point = p;     }
 
   // Constructors
-  WaterMark(Space* s, HeapWord* p) : _space(s), _point(p) {};
-  WaterMark() : _space(NULL), _point(NULL) {};
+  WaterMark(Space* s, HeapWord* p) : _point(p), _space(s) {};
+  WaterMark() : _point(NULL), _space(NULL) {};
 };
 
 inline bool operator==(const WaterMark& x, const WaterMark& y) {
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/collectorPolicy.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/memory/collectorPolicy.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/collectorPolicy.hpp
@@ -90,11 +90,11 @@ class CollectorPolicy : public CHeapObj
   bool _all_soft_refs_clear;
 
   CollectorPolicy() :
-    _min_alignment(1),
-    _max_alignment(1),
     _initial_heap_byte_size(0),
     _max_heap_byte_size(0),
     _min_heap_byte_size(0),
+    _min_alignment(1),
+    _max_alignment(1),
     _size_policy(NULL),
     _should_clear_all_soft_refs(false),
     _all_soft_refs_clear(false)
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/gc_implementation/shared/generationCounters.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/gc_implementation/shared/generationCounters.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/gc_implementation/shared/generationCounters.hpp
@@ -50,7 +50,7 @@ class GenerationCounters: public CHeapOb
   // This constructor is only meant for use with the PSGenerationCounters
   // constructor.  The need for such an constructor should be eliminated
   // when VirtualSpace and PSVirtualSpace are unified.
-  GenerationCounters() : _name_space(NULL), _current_size(NULL), _virtual_space(NULL) {}
+  GenerationCounters() : _current_size(NULL), _virtual_space(NULL), _name_space(NULL) {}
  public:
 
   GenerationCounters(const char* name, int ordinal, int spaces,
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/space.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/memory/space.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/memory/space.hpp
@@ -351,7 +351,7 @@ public:
   DirtyCardToOopClosure(Space* sp, OopClosure* cl,
                         CardTableModRefBS::PrecisionStyle precision,
                         HeapWord* boundary) :
-    _sp(sp), _cl(cl), _precision(precision), _boundary(boundary),
+    _cl(cl), _sp(sp), _precision(precision), _boundary(boundary),
     _min_done(NULL) {
     NOT_PRODUCT(_last_bottom = NULL);
     NOT_PRODUCT(_last_explicit_min_done = NULL);
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/runtime/vm_operations.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/runtime/vm_operations.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/runtime/vm_operations.hpp
@@ -329,8 +329,8 @@ class VM_FindDeadlocks: public VM_Operat
   outputStream*  _out;
 
  public:
-  VM_FindDeadlocks(bool concurrent_locks) :  _concurrent_locks(concurrent_locks), _out(NULL), _deadlocks(NULL) {};
-  VM_FindDeadlocks(outputStream* st) : _concurrent_locks(true), _out(st), _deadlocks(NULL) {};
+  VM_FindDeadlocks(bool concurrent_locks) :  _concurrent_locks(concurrent_locks), _deadlocks(NULL), _out(NULL) {};
+  VM_FindDeadlocks(outputStream* st) : _concurrent_locks(true), _deadlocks(NULL), _out(st) {};
   ~VM_FindDeadlocks();
 
   DeadlockCycle* result()      { return _deadlocks; };
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/callnode.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/callnode.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/callnode.hpp
@@ -319,8 +319,8 @@ public:
                 // A plain safepoint advertises no memory effects (NULL):
                 const TypePtr* adr_type = NULL)
     : MultiNode( edges ),
-      _jvms(jvms),
       _oop_map(NULL),
+      _jvms(jvms),
       _adr_type(adr_type)
   {
     init_class_id(Class_SafePoint);
@@ -858,8 +858,8 @@ protected:
 public:
   AbstractLockNode(const TypeFunc *tf)
     : CallNode(tf, NULL, TypeRawPtr::BOTTOM),
-      _coarsened(false),
-      _eliminate(false)
+      _eliminate(false),
+      _coarsened(false)
   {
 #ifndef PRODUCT
     _counter = NULL;
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/type.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/type.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/type.hpp
@@ -582,7 +582,7 @@ class TypePtr : public Type {
 public:
   enum PTR { TopPTR, AnyNull, Constant, Null, NotNull, BotPTR, lastPTR };
 protected:
-  TypePtr( TYPES t, PTR ptr, int offset ) : Type(t), _ptr(ptr), _offset(offset) {}
+  TypePtr( TYPES t, PTR ptr, int offset ) : Type(t), _offset(offset), _ptr(ptr) {}
   virtual bool eq( const Type *t ) const;
   virtual int  hash() const;             // Type specific hashing
   static const PTR ptr_meet[lastPTR][lastPTR];
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/machnode.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/machnode.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/machnode.hpp
@@ -845,7 +845,7 @@ public:
 
   uint _block_num;
 
-  labelOper() : _block_num(0), _label(0) {}
+  labelOper() : _label(0), _block_num(0) {}
 
   labelOper(Label* label, uint block_num) : _label(label), _block_num(block_num) {}
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/runtime.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/runtime.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/runtime.hpp
@@ -74,8 +74,8 @@ private:
   NamedCounter(const char *n, CounterTag tag = NoTag):
     _name(n),
     _count(0),
-    _next(NULL),
-    _tag(tag) {}
+    _tag(tag),
+    _next(NULL) { }
 
   const char * name() const     { return _name; }
   int count() const             { return _count; }
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/block.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/block.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/block.hpp
@@ -54,7 +54,7 @@ protected:
 public:
   Arena *_arena;                // Arena to allocate in
 
-  Block_Array(Arena *a) : _arena(a), _size(OptoBlockListSize) {
+  Block_Array(Arena *a) : _size(OptoBlockListSize), _arena(a) {
     debug_only(_limit=0);
     _blocks = NEW_ARENA_ARRAY( a, Block *, OptoBlockListSize );
     for( int i = 0; i < OptoBlockListSize; i++ ) {
@@ -590,7 +590,7 @@ class CFGEdge : public ResourceObj {
 
   CFGEdge(Block *from, Block *to, float freq, int from_pct, int to_pct) :
     _from(from), _to(to), _freq(freq),
-    _from_pct(from_pct), _to_pct(to_pct), _state(open) {
+    _state(open), _from_pct(from_pct), _to_pct(to_pct) {
     _infrequent = from_infrequent() || to_infrequent();
   }
 
@@ -638,11 +638,11 @@ class Trace : public ResourceObj {
  public:
 
   Trace(Block *b, Block **next_list, Block **prev_list) :
-    _first(b),
-    _last(b),
+    _id(b->_pre_order),
     _next_list(next_list),
     _prev_list(prev_list),
-    _id(b->_pre_order) {
+    _first(b),
+    _last(b)  {
     set_next(b, NULL);
     set_prev(b, NULL);
   };
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/loopnode.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/loopnode.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/loopnode.hpp
@@ -308,9 +308,9 @@ public:
     : _parent(0), _next(0), _child(0),
       _head(head), _tail(tail),
       _phase(phase),
+      _nest(0), _irreducible(0), _has_call(0), _has_sfpt(0), _rce_candidate(0),
       _required_safept(NULL),
-      _allow_optimizations(true),
-      _nest(0), _irreducible(0), _has_call(0), _has_sfpt(0), _rce_candidate(0)
+      _allow_optimizations(true)
   { }
 
   // Is 'l' a member of 'this'?
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/subnode.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/opto/subnode.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/opto/subnode.hpp
@@ -285,7 +285,7 @@ class BoolNode : public Node {
   virtual uint size_of() const;
 public:
   const BoolTest _test;
-  BoolNode( Node *cc, BoolTest::mask t): _test(t), Node(0,cc) {
+  BoolNode( Node *cc, BoolTest::mask t): Node(0,cc),_test(t) {
     init_class_id(Class_Bool);
   }
   // Convert an arbitrary int value to a Bool or other suitable predicate.
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/code/exceptionHandlerTable.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/code/exceptionHandlerTable.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/code/exceptionHandlerTable.hpp
@@ -145,7 +145,7 @@ class ImplicitExceptionTable VALUE_OBJ_C
   implicit_null_entry *adr( uint idx ) const { return &_data[2*idx]; }
   ReallocMark          _nesting;  // assertion check for reallocations
 public:
-  ImplicitExceptionTable( ) :  _data(0), _size(0), _len(0) { }
+  ImplicitExceptionTable( ) : _size(0), _len(0), _data(0) { }
   // (run-time) construction from nmethod
   ImplicitExceptionTable( const nmethod *nm );
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/archDesc.cpp
@@ -166,13 +166,13 @@ void MatchList::output(FILE *fp) {
 
 ArchDesc::ArchDesc()
   : _globalNames(cmpstr,hashstr, Form::arena),
-    _globalDefs(cmpstr,hashstr, Form::arena),
-    _preproc_table(cmpstr,hashstr, Form::arena),
     _idealIndex(cmpstr,hashstr, Form::arena),
+    _globalDefs(cmpstr,hashstr, Form::arena),
+    _cisc_spill_operand(NULL),
+    _chainRules(cmpstr,hashstr, Form::arena),
     _internalOps(cmpstr,hashstr, Form::arena),
     _internalMatch(cmpstr,hashstr, Form::arena),
-    _chainRules(cmpstr,hashstr, Form::arena),
-    _cisc_spill_operand(NULL) {
+    _preproc_table(cmpstr,hashstr, Form::arena) {
 
       // Initialize the opcode to MatchList table with NULLs
       for( int i=0; i<_last_opcode; ++i ) {
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/forms.hpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/forms.hpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/forms.hpp
@@ -145,7 +145,7 @@ public:
 
   // Public Methods
   Form(int formType=0, int line=0)
-    : _next(NULL), _linenum(line), _ftype(formType) { };
+    : _ftype(formType), _next(NULL), _linenum(line)  { };
   ~Form() {};
 
   virtual bool ideal_only() const {
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/adlparse.cpp
@@ -29,8 +29,8 @@
 //----------------------------ADLParser----------------------------------------
 // Create a new ADL parser
 ADLParser::ADLParser(FileBuff& buffer, ArchDesc& archDesc)
-  : _buf(buffer), _AD(archDesc),
-    _globalNames(archDesc.globalNames()) {
+  : _globalNames(archDesc.globalNames()),
+    _buf(buffer), _AD(archDesc) {
   _AD._syntax_errs = _AD._semantic_errs = 0; // No errors so far this file
   _AD._warnings    = 0;                      // No warnings either
   _curline         = _ptr = NULL;            // No pointers into buffer yet
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/arena.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/arena.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/arena.cpp
@@ -71,7 +71,7 @@ Arena::Arena() {
 }
 
 Arena::Arena( Arena *a )
-: _chunk(a->_chunk), _hwm(a->_hwm), _max(a->_max), _first(a->_first) {
+: _first(a->_first), _chunk(a->_chunk), _hwm(a->_hwm), _max(a->_max) {
   set_size_in_bytes(a->size_in_bytes());
 }
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/dict2.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/dict2.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/dict2.cpp
@@ -52,11 +52,11 @@ public:
 // doubled in size; the total amount of EXTRA times all hash functions are
 // computed for the doubling is no more than the current size - thus the
 // doubling in size costs no more than a constant factor in speed.
-Dict::Dict(CmpKey initcmp, Hash inithash) : _hash(inithash), _cmp(initcmp), _arena(NULL) {
+Dict::Dict(CmpKey initcmp, Hash inithash) : _arena(NULL), _hash(inithash), _cmp(initcmp) {
   init();
 }
 
-Dict::Dict(CmpKey initcmp, Hash inithash, Arena *arena) : _hash(inithash), _cmp(initcmp), _arena(arena) {
+Dict::Dict(CmpKey initcmp, Hash inithash, Arena *arena) : _arena(arena), _hash(inithash), _cmp(initcmp) {
   init();
 }
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/filebuff.cpp
@@ -29,7 +29,7 @@ using namespace std;
 
 //------------------------------FileBuff---------------------------------------
 // Create a new parsing buffer
-FileBuff::FileBuff( BufferedFile *fptr, ArchDesc& archDesc) : _fp(fptr), _AD(archDesc) {
+FileBuff::FileBuff( BufferedFile *fptr, ArchDesc& archDesc) : _AD(archDesc), _fp(fptr) {
   _err = fseek(_fp->_fp, 0, SEEK_END);  // Seek to end of file
   if (_err) {
     file_error(SEMERR, 0, "File seek error reading input file");
@@ -93,7 +93,7 @@ char *FileBuff::get_line(void) {
 // Create a new region in a FileBuff.
 FileBuffRegion::FileBuffRegion( FileBuff* bufr, int soln, int ln,
                                 int off, int len)
-: _bfr(bufr), _sol(soln), _line(ln), _offset(off), _length(len) {
+: _bfr(bufr), _offset(off), _length(len), _sol(soln), _line(ln) {
   _next = NULL;                 // No chained regions
 }
 
Index: icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/formsopt.cpp
===================================================================
--- icedtea6-1.10.orig/openjdk/hotspot/src/share/vm/adlc/formsopt.cpp
+++ icedtea6-1.10/openjdk/hotspot/src/share/vm/adlc/formsopt.cpp
@@ -182,8 +182,8 @@ void RegisterForm::output(FILE *fp) {
 RegDef::RegDef(char *regname, char *callconv, char *c_conv, char * idealtype, char * encode, char * concrete)
   : _regname(regname), _callconv(callconv), _c_conv(c_conv),
     _idealtype(idealtype),
-    _register_encode(encode),
     _concrete(concrete),
+    _register_encode(encode),
     _register_num(0) {
 
   // Chunk and register mask are determined by the register number
@@ -219,7 +219,7 @@ void RegDef::output(FILE *fp) {
 
 //------------------------------RegClass---------------------------------------
 // Construct a register class into which registers will be inserted
-RegClass::RegClass(const char *classid) : _stack_or_reg(false), _classid(classid), _regDef(cmpstr,hashstr, Form::arena) {
+RegClass::RegClass(const char *classid) : _classid(classid), _regDef(cmpstr,hashstr, Form::arena), _stack_or_reg(false) {
 }
 
 // record a register in this class
@@ -358,12 +358,12 @@ void FrameForm::output(FILE *fp) {
 PipelineForm::PipelineForm()
   :  _reslist               ()
   ,  _resdict               (cmpstr, hashstr, Form::arena)
-  ,  _classdict             (cmpstr, hashstr, Form::arena)
   ,  _rescount              (0)
   ,  _maxcycleused          (0)
   ,  _stages                ()
   ,  _stagecnt              (0)
   ,  _classlist             ()
+  ,  _classdict             (cmpstr, hashstr, Form::arena)
   ,  _classcnt              (0)
   ,  _noplist               ()
   ,  _nopcnt                (0)
@@ -581,7 +581,7 @@ void Peephole::output(FILE *fp) {
 }
 
 //------------------------------PeepMatch--------------------------------------
-PeepMatch::PeepMatch(char *rule) : _max_position(0), _rule(rule) {
+PeepMatch::PeepMatch(char *rule) : _rule(rule), _max_position(0) {
 }
 PeepMatch::~PeepMatch() {
 }
@@ -639,8 +639,8 @@ void PeepMatch::output(FILE *fp) {
 //------------------------------PeepConstraint---------------------------------
 PeepConstraint::PeepConstraint(int left_inst,  char* left_op, char* relation,
                                int right_inst, char* right_op)
-  : _left_inst(left_inst), _left_op(left_op), _relation(relation),
-    _right_inst(right_inst), _right_op(right_op), _next(NULL) {}
+  : _next(NULL), _left_inst(left_inst), _left_op(left_op), _relation(relation),
+    _right_inst(right_inst), _right_op(right_op) {}
 PeepConstraint::~PeepConstraint() {
 }
 
